%global pypi_name botocore

%global py3_prefix python%{python3_pkgversion}

Name:           python3-%{pypi_name}
# NOTICE - Updating this package requires updating python-boto3
Version:        1.19.24
Release:        1%{?dist}
Summary:        Low-level, data-driven core of boto 3

License:        ASL 2.0
URL:            https://github.com/boto/botocore
Source0:        %{pypi_source}
Patch1:         botocore-disable-failing-validation-test.patch
Patch2:         botocore-unbundle-six.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  %{py3_prefix}-dateutil >= 2.1
BuildRequires:  %{py3_prefix}-dateutil < 1:3.0.0
BuildRequires:  python3-jmespath >= 0.7.1
BuildRequires:  python3-jmespath < 1.0.0
BuildRequires:  %{py3_prefix}-mock
BuildRequires:  %{py3_prefix}-nose
BuildRequires:  python3-urllib3 >= 1.25.4
BuildRequires:  python3-urllib3 < 1.27

Requires:       %{py3_prefix}-dateutil >= 2.1
Requires:       %{py3_prefix}-dateutil < 1:3.0.0
Requires:       python3-jmespath >= 0.7.1
Requires:       python3-jmespath < 1.0.0
Requires:       python3-urllib3 >= 1.25.4
Requires:       python3-urllib3 < 1.27

%{?python_provide:%python_provide python3-%{pypi_name}}


%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.


%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -vr %{pypi_name}.egg-info
# Remove online tests
rm -vr tests/integration

%build
%py3_build

%install
%py3_install

%check
cd tests
nosetests-%{python3_version} unit


%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Sun Nov 29 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 1.19.24-1
- initial EPEL package (based on Fedora spec file for python-botocore)

